Skip to main content

Update MAC override

PATCH
/networks/{id}/mac-policy/overrides/{overrideId}

Contract

Parameter
Value
Sectionnetworks
AuthenticationCookieAuth
Consumesapplication/json
Producesapplication/json

Parameters

3 parameters

Name
Location
Required
Type
Description
idpathyesintegerNetwork ID
overrideIdpathyesintegerOverride-record ID
requestbodyyesobjectOverride record data: {ip, mac}
  • {}

Responses

4 responses

Status
Description
Type
200
Successful responseobject
400
Invalid network/override-record ID, request body, or IP/MAC addressobject
401
Unauthorizedobject
500
Failed to update recordobject
  • {
      "id": 0,
      "ip": "<string>",
      "mac": "<string>",
      "networkId": 0
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }